<?altova_samplexml C:\Documents and Settings\NO010196\My Documents\TDI\examples\_Merglets\WhitePages\ED\ED.XML?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<link type="text/css" rel="stylesheet" href="/WhitePages_fs.css" />
				<title>Person Details</title>
				<base target="WPmain" href=""/>
			</head>

			<body>
				<xsl:for-each select="//Entry">
					<xsl:sort order="ascending" select="employeeNumber"/>
					<form class="UserDetails" target="WPstatus">

						<table class="UserInfo" cellpadding="5px">

							<xsl:call-template name="INPUT_FIELD">
								<xsl:with-param name="FieldTitle">Name</xsl:with-param>
								<xsl:with-param name="FieldName">cn</xsl:with-param>
								<xsl:with-param name="FieldValue"><xsl:value-of select="cn"/></xsl:with-param>
								<xsl:with-param name="UID"><xsl:value-of select="uid"/></xsl:with-param>
							</xsl:call-template>
							

							<tr class="eType">
								<xsl:call-template name="EMP_TYPE">
									<xsl:with-param name="EmpType">
										<xsl:value-of select="employeeType"/>
									</xsl:with-param>
								</xsl:call-template>
							</tr>

							<xsl:call-template name="INPUT_FIELD">
								<xsl:with-param name="FieldTitle">Title</xsl:with-param>
								<xsl:with-param name="FieldName">title</xsl:with-param>
								<xsl:with-param name="FieldValue"><xsl:value-of select="title"/></xsl:with-param>
							</xsl:call-template>

							<tr class="eDept">
								<xsl:call-template name="EMP_DEPT">
									<xsl:with-param name="EmpDept">
										<xsl:value-of select="ou"/>
									</xsl:with-param>
								</xsl:call-template>
							</tr>

							<tr class="eMail">
								<xsl:call-template name="EMP_MAIL">
									<xsl:with-param name="EmpMail"><xsl:value-of select="normalize-space(mail)"/></xsl:with-param>
								</xsl:call-template>
							</tr>

							<xsl:call-template name="INPUT_FIELD">
								<xsl:with-param name="FieldTitle">Telephone</xsl:with-param>
								<xsl:with-param name="FieldName">telephoneNumber</xsl:with-param>
								<xsl:with-param name="FieldValue"><xsl:value-of select="telephoneNumber"/></xsl:with-param>
							</xsl:call-template>
							
							<tr/><tr/>

							<tr class="buttonRow">
								<td width="10%" align="right">
								
									<xsl:if test="not(NewUser)">
										<input class="UserForm" type="submit" name="ModifyButton" value="Modify"/>
											&#xA0;&#xA0;&#xA0;
									</xsl:if>
									
									<xsl:if test="NewUser = 'TRUE'">
										<input class="UserForm" type="submit" name="AddButton" value="Add"/>
									</xsl:if>

								</td>

								<td width="*" align="left">&#xA0;
								<xsl:if test="not(NewUser)">
										<input class="UserForm" type="submit" name="DeleteButton" value="Delete User"/>
								</xsl:if>
								</td>
						</tr>

						</table>
					</form>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="INPUT_FIELD">
		<xsl:param name="FieldTitle">null</xsl:param>
		<xsl:param name="FieldValue">null</xsl:param>
		<xsl:param name="FieldName">null</xsl:param>
		<xsl:param name="UID"/>

		<tr>
			<xsl:attribute name="class">e<xsl:value-of select="$FieldTitle"/></xsl:attribute>

		<td width="10%" align="right">
		<xsl:if test="($FieldTitle != 'Name') or NewUser">
			<b><xsl:value-of select="$FieldTitle"/> : </b>
		</xsl:if>
		<xsl:if test="($FieldTitle = 'Name') and not(NewUser)">
			<img src="/images/Person.gif">
				<xsl:attribute name="alt">No image for <xsl:value-of select="$FieldValue"/></xsl:attribute>
			</img>
		</xsl:if>
		</td>

		<td width="45%" align="left">
			<xsl:if test="($FieldTitle = 'Name') and not(NewUser)">
				<xsl:value-of select="$FieldValue"/>
			</xsl:if>
			<xsl:if test="($FieldTitle != 'Name') or NewUser">
				<input type="text" >
					<xsl:if test="NewUser">
						<xsl:attribute name="class">NewUser</xsl:attribute>	
					</xsl:if>
					<xsl:if test="not(NewUser)">
						<xsl:attribute name="class">ExistingUser</xsl:attribute>	
					</xsl:if>

					<xsl:attribute name="name">
						<xsl:value-of select="$FieldName"/>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$FieldValue"/></xsl:attribute>
				</input>
			</xsl:if>
			
			<xsl:if test="$UID">
				<xsl:text> (</xsl:text><b><xsl:value-of select="$UID"/></b>)
			</xsl:if>
		</td>
		</tr>

	</xsl:template>
	


	<xsl:template name="EMP_TYPE">
		<xsl:param name="EmpType">null</xsl:param>
		<td width="10%" align="right">
			<b>Status :  </b>
		</td>
		<td width="45%" align="left">
			<select name="employeeType" value="{$EmpType}">
				<xsl:if test="NewUser">
					<xsl:attribute name="class">NewUser</xsl:attribute>	
				</xsl:if>
				<xsl:if test="not(NewUser)">
					<xsl:attribute name="class">ExistingUser</xsl:attribute>	
				</xsl:if>

				<option value="{$EmpType}">
					<xsl:value-of select="$EmpType"/>
				</option>
				<option value="Full-Time">Full-Time</option>
				<option value="Part-Time">Part-Time</option>
				<option value="Terminated">Terminated</option>
				<option value="Consultant">Consultant</option>
			</select>
		</td>
	</xsl:template>



	<xsl:template name="EMP_DEPT">
		<xsl:param name="EmpDept">null</xsl:param>
		<td width="10%" align="right">
			<b>Department :  </b>
		</td>
		<td width="45%" align="left">
			<select name="ou" value="{$EmpDept}">
				<xsl:if test="NewUser">
					<xsl:attribute name="class">NewUser</xsl:attribute>	
				</xsl:if>
				<xsl:if test="not(NewUser)">
					<xsl:attribute name="class">ExistingUser</xsl:attribute>	
				</xsl:if>

				<option value="{$EmpDept}">
					<xsl:value-of select="$EmpDept"/>
				</option>
				<option value="Development">Development</option>
				<option value="Logistics">Logistics</option>
				<option value="Production">Production</option>
				<option value="Sales">Sales</option>
			</select>
		</td>
	</xsl:template>



	<xsl:template name="EMP_MAIL">
		<xsl:param name="EmpMail"/>
		<td width="10%" align="right" valign="top">
			<b>Mail :  </b>
		</td>
		<td width="45%" align="left">
			<textarea  name="mail" rows="6" cols="40">
				<xsl:if test="NewUser">
					<xsl:attribute name="class">NewUser</xsl:attribute>	
				</xsl:if>
				<xsl:if test="not(NewUser)">
					<xsl:attribute name="class">ExistingUser</xsl:attribute>	
				</xsl:if>

				<xsl:value-of select="translate($EmpMail,' ','&#xA;')"/>
			</textarea>
		</td>
	</xsl:template>



</xsl:stylesheet>
